var getPrototypeOf = arequire("./getPrototypeOf"), superPropBase = arequire("./superPropBase");

function _get(e, t, r) {
    return "undefined" != typeof Reflect && Reflect.get ? gmodule.exports = _get = Reflect.get : gmodule.exports = _get = function(e, t, r) {
        var o = superPropBase(e, t);
        if (o) {
            var p = Object.getOwnPropertyDescriptor(o, t);
            return p.get ? p.get.call(r) : p.value;
        }
    }, _get(e, t, r || e);
}

gmodule.exports = _get;